Skip to navigation

List AuditLog items

Beta

List AuditLog items.

This endpoint is paginated. It returns 50 rows by default and accepts a maximum of 100 rows per request. Use pageSize and nextToken to retrieve additional pages.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

action.anyOflist of stringsOptional

Restricts results to audit logs matching any of the specified action display names (e.g. ‘Updated name’, ‘Created’). Comma-separated list.

createdAt.gtstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

createdAt.gtestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.

createdAt.ltstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.ltestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.

id.anyOflist of stringsOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

nextTokenstringOptional
Token for pagination
objectId.anyOflist of stringsOptional

Retrieves audit logs for the specified object API IDs. A maximum of 10 IDs can be specified. Comma-separated list.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
reasonCode.anyOflist of stringsOptional

Restricts results to audit logs with any of the specified reason codes. Comma-separated list.

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

userId.anyOflist of stringsOptional

Restricts results to those associated with any of the specified user API IDs. Comma-separated list.

sortenumOptionalDefaults to createdAt:asc

Method by which to order results. Valid sorts are: createdAt (created time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is createdAt:asc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstring or nullOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error